Name:		libcelt
Version:	0.11.1
Release:	4%{?dist}

Summary:	An audio codec for use in low-delay speech and audio communication
Group:		System Environment/Libraries
License:	BSD
URL:		http://www.celt-codec.org/
Source0:	http://downloads.us.xiph.org/releases/celt/celt-%{version}.tar.gz
%define		Source0_md5sum 94fe4acd241da8702c295bcd13a555e6
BuildRequires:	libogg-devel


%description
CELT (Constrained Energy Lapped Transform) is an ultra-low delay audio 
codec designed for realtime transmission of high quality speech and audio. 
This is meant to close the gap between traditional speech codecs 
(such as Speex) and traditional audio codecs (such as Vorbis). 


%package devel
Summary:	Development package for celt
Group:		Development/Libraries
Requires:	libogg-devel
Requires:	libcelt = %{version}-%{release}
Requires:	pkgconfig


%description devel
Files for development with celt.


%package -n celt-tools
Summary:	Encoder and Decoder Tools for the Celt codec
Group:		Applications/Multimedia
Requires:	libcelt = %{version}-%{release}


%description -n celt-tools
Command line encoder and decoder tools for the Celt codec.


%prep
%setup -q -n celt-%{version}


%build
%configure \
    --enable-custom-modes
# Remove rpath as per https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make


%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}"


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,0755)
%doc COPYING README TODO
%{_libdir}/libcelt0.so.2
%{_libdir}/libcelt0.so.2.0.0


%files -n celt-tools
%defattr(-,root,root,0755)
%{_bindir}/celtenc
%{_bindir}/celtdec


%files devel
%defattr(-,root,root,0755)
%{_includedir}/celt
%{_libdir}/pkgconfig/celt.pc
%{_libdir}/libcelt0.so
%{_libdir}/libcelt0.a
%{_libdir}/libcelt0.la


%changelog
* Sun Apr 15 2012 LTN Packager <packager-el6rpms@LinuxTECH.NET> - 0.11.1-4
- imported from Fedora, cleaned up spec-file
- split off the CLI tools into a separate package

